
%global meadversion 2.1.9
%global namedversion 2.1.9.SP2-redhat-1
%global meadalpha .SP2_redhat_1
%global meadrel .1
%global serial 3

# Copyright (c) 2000-2012, JPackage Projectc
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
#
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the
#    distribution.
# 3. Neither the name of the JPackage Project nor the names of its
#    contributors may be used to endorse or promote products derived
#    from this software without specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
#

%define with()          %{expand:%%{?with_%{1}:1}%%{!?with_%{1}:0}}
%define without()       %{expand:%%{?with_%{1}:0}%%{!?with_%{1}:1}}
%define bcond_with()    %{expand:%%{?_with_%{1}:%%global with_%{1} 1}}
%define bcond_without() %{expand:%%{!?_without_%{1}:%%global with_%{1} 1}}

%bcond_without mead
%bcond_with javadoc
%bcond_without repolib
%bcond_with webapps

%define repodir %{_javadir}/repository.jboss.com/org/picketlink/%{name}/%{namedversion}-brew
%define repodirlib %{repodir}/lib
%define repodirsrc %{repodir}/src

%define base_name picketlink
%define mockitoversion 1.8.5
%define xmlunitversion 1.3

%define groupId org.picketlink

%define maven_version 2.1.9.SP2-redhat-1

Name:           picketlink-federation
Epoch:          0
Version:        %{meadversion}
Release:        %{serial}%{meadalpha}%{meadrel}%{?dist}
Summary:        Development files for %{name}

Group:          Development/Tools

%if %with mead
Source100: picketlink-fed-pom-2.1.9.SP2-redhat-1-scm-sources.zip
Source101: picketlink-fed-pom-2.1.9.SP2-redhat-1-patches.zip
Source102: picketlink-tomcat5-single-2.1.9.SP2-redhat-1.jar
Source103: picketlink-tomcat5-single-2.1.9.SP2-redhat-1-javadoc.jar
Source104: picketlink-tomcat5-single-2.1.9.SP2-redhat-1-sources.jar
Source105: picketlink-tomcat5-single-2.1.9.SP2-redhat-1.pom
Source106: picketlink-fed-pom-2.1.9.SP2-redhat-1.pom
Source107: picketlink-jbas7-2.1.9.SP2-redhat-1-sources.jar
Source108: picketlink-jbas7-2.1.9.SP2-redhat-1.jar
Source109: picketlink-jbas7-2.1.9.SP2-redhat-1.pom
Source110: picketlink-jbas7-single-2.1.9.SP2-redhat-1-sources.jar
Source111: picketlink-jbas7-single-2.1.9.SP2-redhat-1-javadoc.jar
Source112: picketlink-jbas7-single-2.1.9.SP2-redhat-1.pom
Source113: picketlink-jbas7-single-2.1.9.SP2-redhat-1.jar
Source114: picketlink-tomcat7-single-2.1.9.SP2-redhat-1-sources.jar
Source115: picketlink-tomcat7-single-2.1.9.SP2-redhat-1-javadoc.jar
Source116: picketlink-tomcat7-single-2.1.9.SP2-redhat-1.jar
Source117: picketlink-tomcat7-single-2.1.9.SP2-redhat-1.pom
Source118: picketlink-fed-parent-2.1.9.SP2-redhat-1.pom
Source119: picketlink-fed-bindings-pom-2.1.9.SP2-redhat-1.pom
Source120: picketlink-tomcat-common-2.1.9.SP2-redhat-1-sources.jar
Source121: picketlink-tomcat-common-2.1.9.SP2-redhat-1.jar
Source122: picketlink-tomcat-common-2.1.9.SP2-redhat-1.pom
Source123: picketlink-tomcat-common-2.1.9.SP2-redhat-1-javadoc.jar
Source124: picketlink-jbas-common-2.1.9.SP2-redhat-1.jar
Source125: picketlink-jbas-common-2.1.9.SP2-redhat-1-sources.jar
Source126: picketlink-jbas-common-2.1.9.SP2-redhat-1.pom
Source127: picketlink-jbas-common-2.1.9.SP2-redhat-1-javadoc.jar
Source128: picketlink-core-2.1.9.SP2-redhat-1.pom
Source129: picketlink-core-2.1.9.SP2-redhat-1.jar
Source130: picketlink-core-2.1.9.SP2-redhat-1-javadoc.jar
Source131: picketlink-core-2.1.9.SP2-redhat-1-sources.jar
%endif

License:        LGPL
URL:            http://www.jboss.org/picketlink/docs.html

%if %without mead
# git clone git://git.app.eng.bos.redhat.com/picketlink/federation.git picketlink-eap6-2.1.3.1
# cd picketlink-eap6-2.1.3.1 && git checkout 2.1.3.1-redhat-1 && cd ..
# HEAD is now at cc28e80... Adding picketlink-tomcat5 binding module to EAP6 build
# tar czf picketlink-federation-eap6-2.1.3.1-redhat-1-src.tar.gz picketlink-eap6-2.1.3.1
Source0:        %{name}-eap6-%{version}-redhat-1-src.tar.gz
Source1:        %{name}-jpp-depmap.xml

##Patch0:          %{name}-vman.patch
#Patch1:         %{name}-javadoc-memory.patch
#Patch1:          %{name}-apiviz.patch
##Patch2:          %{name}-core.patch
%endif

BuildArch:        noarch

BuildRequires:    jpackage-utils
%if %without mead
BuildRequires:  java-devel >= 0:1.5.0
BuildRequires:  maven2
BuildRequires:  maven2-plugin-war
BuildRequires:  maven2-plugin-compiler
BuildRequires:  maven2-plugin-deploy
BuildRequires:  maven2-plugin-install
BuildRequires:  maven2-plugin-jar
BuildRequires:  maven2-plugin-javadoc
BuildRequires:  maven2-plugin-release
BuildRequires:  maven2-plugin-resources
BuildRequires:  maven2-plugin-surefire
BuildRequires:  maven2-plugin-assembly
BuildRequires:  maven2-plugin-site
BuildRequires:  maven2-plugin-source
BuildRequires:  maven-doxia-sitetools
BuildRequires:  maven-surefire-provider-junit4
BuildRequires:  apache-xmlsec
#sun-jaxws:jaxws-api:jar:2.1.1
BuildRequires:  glassfish-jaxws
#javax.xml.soap:saaj-api:jar:1.3
BuildRequires:  sun-saaj-1.3-api
#apache-logging:commons-logging-api:jar:1.0.3
BuildRequires:  jakarta-commons-logging
#org.jboss.javaee:jboss-ejb-api:jar:3.0.0.GA
BuildRequires:  jboss-ejb-3.0-api
BuildRequires:  jboss-jacc-api_1.4_spec
BuildRequires:  jboss-parent
BuildRequires:  jboss-test
BuildRequires:  jboss-security-xacml
BuildRequires:  jboss-servlet-api_3.0_spec
#org.apache.tomcat:annotations-api:jar:6.0.18
BuildRequires:  jbossweb-lib
##BuildRequires:  tomcat6-lib
#/builddir/build/BUILD/picketlink-federation-1.0.3-src/picketlink-web/src/main/java/org/picketlink/identity/federation/web/servlets/IDPServlet.java:[191,84] cannot find symbol:symbol  : method getContextPath()
##BuildRequires:  tomcat6-servlet-2.5-api
##org.jboss.ws.native:jbossws-native-jaxrpc:jar:3.0.4.GA
#BuildRequires:  jbossws-api
#BuildRequires:  jbossws-common
#BuildRequires:  jbossws-parent
#BuildRequires:  jbossws-spi
#apache-xalan:xalan:2.7.1.patch01-brew , ... serializer.jar
BuildRequires:  xalan-j2
BuildRequires:  xml-security
BuildRequires:  glassfish-jaxb
BuildRequires:  jetty6
BuildRequires:  jboss-common-logging-spi
BuildRequires:  jakarta-commons-httpclient
BuildRequires:  mockito
BuildRequires:  nekohtml
BuildRequires:  picketbox
BuildRequires:  glassfish-jsf
BuildRequires:  glassfish-jaf
BuildRequires:  jboss-javaee
BuildRequires:  codehaus-stax-api
BuildRequires:  hibernate-jpa-2.0-api
BuildRequires:   xmlunit
BuildRequires:   zip

## xml/xstl handling
BuildRequires:  dom4j
BuildRequires:  jaxen
BuildRequires:  log4j
%endif

Requires:       jpackage-utils
#Requires:       jbossws-spi
Requires:       jboss-logging
Requires:       log4j
Requires:       apache-xmlsec
##Requires:       jakarta-commons-logging FIXME commons-logging-api ?
Requires:       jboss-security-xacml
Requires:       picketbox
Requires:       jboss-servlet-api_3.0_spec
Requires:       hibernate-jpa-2.0-api
Requires:       jboss-jacc-api_1.4_spec

Requires(post):       jpackage-utils
Requires(postun):     jpackage-utils

Requires:       java

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

#Requires:       
# JAXB V2 Library
# STAX API Library (a dependency for JAXB2)
# Activation API Library (a dependency for JAXB2)

%description
PicketLink Federation is the federated identity project for JEMS projects

%if %with javadoc
%package javadoc
Summary:        Javadocs for %{name}
Group:          Development/Documentation

Requires:       jpackage-utils

%description javadoc
This package contains the API documentation for %{name}.
%endif

%if %without mead
%package sources
Summary:        Sources for %{name}
Group:          Development


%description sources
This package contains the sources for %{name}.

%package zip
Summary:        zip for %{name}
Group:          Development/Documentation


%description zip
This package contains the zip for %{name}.

%if %with webapps
%package webapp-idp
Summary:        Idp web application for %{name}
Group:          Development/Documentation

Requires:       jpackage-utils
Requires:       %{name} = %{epoch}:%{version}-%{release}

%description webapp-idp
This package contains the identity provider web application for %{name}.

%package webapp-pdp
Summary:        Pdp web application for %{name}
Group:          Development/Documentation

Requires:       jpackage-utils
Requires:       %{name} = %{epoch}:%{version}-%{release}

%description webapp-pdp
This package contains the policy decision point web application for %{name}.

%package webapp-sts
Summary:        Sts web application for %{name}
Group:          Development/Documentation

Requires:       jpackage-utils
Requires:       %{name} = %{epoch}:%{version}-%{release}

%description webapp-sts
This package contains the security token service of WS-Trust web application for %{name}.

%package webapps-zip
Summary:        zip web applications for %{name}
Group:          Development/Documentation


%description webapps-zip
This package contains the zipped web application samples for %{name}.
%endif

%if %with repolib
%package repolib
Summary:        Artifacts to be uploaded to a repository library
Group:          Development/Libraries/Java


%description repolib
Artifacts to be uploaded to a repository library.
This package is not meant to be installed but so its contents
can be extracted through rpm2cpio.
%endif
%endif

%prep
%if %without mead
%setup -q -n %{base_name}-eap6-%{version}
##%patch0 -p1
#%patch1 -p1
##%patch2 -p1
%endif

%build
%if %without mead
export MAVEN_REPO_LOCAL=$(pwd)/m2_repo/repository
mkdir -p $MAVEN_REPO_LOCAL

%{_bindir}/mvn-jpp -X -e \
    -Dmaven.repo.local=$MAVEN_REPO_LOCAL \
    -Dmaven2.jpp.depmap.file=%{SOURCE1} \
    -Dmaven.test.skip=true \
    -DaltDeploymentRepository=jboss-releases::default::file://$(pwd)/maven2-brew \
    install deploy:deploy javadoc:javadoc
%endif

%install
rm -rf $RPM_BUILD_ROOT
echo $(pwd)

#jars
mkdir -p $RPM_BUILD_ROOT%{_javadir}/%{name}

# poms
install -d -m 755 $RPM_BUILD_ROOT%{_datadir}/maven2/poms

# javadocs
%if %with javadoc
mkdir -p $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{namedversion}
%endif

#Jars to include:
#assembly/target,picketlink-bindings/target,picketlink-bindings-jboss/target,picketlink-seam/target

%if %without mead
cp -p %{base_name}-core/target/%{base_name}-core-%{namedversion}.jar \
  $RPM_BUILD_ROOT%{_javadir}/%{name}
#cp -p %{base_name}-core/target/%{base_name}-core-%{namedversion}-sources.jar \
#  $RPM_BUILD_ROOT%{_javadir}/%{name}

%else

# distribution
cp -p %{_sourcedir}/%{base_name}-jbas7-%{namedversion}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}
install -pm 644 %{_sourcedir}/%{base_name}-jbas7-%{namedversion}.pom $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-%{base_name}-jbas7.pom
%add_to_maven_depmap org.picketlink.distribution %{base_name}-jbas7 %{namedversion} JPP/%{name} %{base_name}-jbas7

# artifacts
for artifactId in \
   %{base_name}-jbas7-single \
   %{base_name}-jbas-common \
   %{base_name}-tomcat5-single \
   %{base_name}-tomcat7-single \
   %{base_name}-tomcat-common \
   %{base_name}-core \
; do

    cp -p %{_sourcedir}/${artifactId}-%{namedversion}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}
    cp -p %{_sourcedir}/${artifactId}-%{namedversion}-sources.jar $RPM_BUILD_ROOT%{_javadir}/%{name}

    install -pm 644 %{_sourcedir}/${artifactId}-%{namedversion}.pom $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-${artifactId}.pom

    %add_to_maven_depmap org.picketlink ${artifactId} %{namedversion} JPP/%{name} ${artifactId}

    # javadoc
    %if %with javadoc
    mkdir -p $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{namedversion}/${artifactId}-%{namedversion}
    unzip -d $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{namedversion}/${artifactId}-%{namedversion} %{_sourcedir}/${artifactId}-%{namedversion}-javadoc.jar
    rm -rf $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{namedversion}/${artifactId}-%{namedversion}/META-INF
    %endif

done

%endif

# javadoc
%if %with javadoc
%if %without mead
# target/site/apidocs
mkdir -p $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{namedversion}
cp -pr target/site/apidocs/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{namedversion}
rm -rf target/site/apidocs
mkdir -p $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{namedversion}/%{base_name}-core-%{namedversion}
cp -pr %{base_name}-core/target/site/apidocs/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{namedversion}/%{base_name}-core-%{namedversion}
rm -rf %{base_name}-core/target/site/apidocs
%endif
%endif

# pom
%if %without mead
for artifactId in \
    %{base_name}-fed-pom \
    %{base_name}-fed-parent \
    %{base_name}-fed-bindings-pom \
    %{base_name}-core \
    ; do
install -pm 644 \
  m2_repo/repository/org/picketlink/${artifactId}/%{namedversion}/${artifactId}-%{namedversion}.pom \
  $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{groupId}-${artifactId}.pom

%add_to_maven_depmap %{groupId} ${artifactId} %{namedversion} JPP/%{groupId} ${artifactId}
done
install -pm 644 m2_repo/repository/org/picketlink/distribution/%{namedversion}/%{base_name}-jbas7-%{namedversion}.pom $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{groupId}-%{base_name}-jbas7.pom
%add_to_maven_depmap %{groupId} %{base_name}-jbas7 %{namedversion} JPP/%{groupId} %{base_name}-jbas7

%else

for artifactId in \
    %{base_name}-fed-pom \
    %{base_name}-fed-parent \
    %{base_name}-fed-bindings-pom \
; do

    install -pm 644 %{_sourcedir}/${artifactId}-%{namedversion}.pom $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-${artifactId}.pom
    %add_to_maven_depmap %{groupId} ${artifactId} %{namedversion} JPP/%{name} ${artifactId}
done
%endif

#webapps
%if %with webapps
%if %without mead
install -d -m 755 $RPM_BUILD_ROOT%{_datadir}/%{name}

mkdir -p tmp/%{name}-webapps
pushd tmp/%{name}-webapps
mkdir idp.war ; cd idp.war
jar xf ../../../picketlink-webapps/idp/target/idp.war
cd .. ; mkdir pdp.war ; cd pdp.war
jar xf ../../../picketlink-webapps/pdp/target/pdp.war
cd .. ; mkdir picketlink-sts.war ; cd picketlink-sts.war
jar xf ../../../picketlink-webapps/picketlink-sts/target/picketlink-sts.war
popd
cp -pr tmp/%{name}-webapps $RPM_BUILD_ROOT%{_datadir}/%{name}

#for examples zip
pushd tmp
mkdir -p $RPM_BUILD_ROOT/%{_javadir}/jbossas-fordev
zip -r $RPM_BUILD_ROOT%{_javadir}/jbossas-fordev/%{name}-webapps-assembly-%{version}.zip \
%{name}-webapps
popd
rm -fr tmp

#for the zip
mkdir -p $RPM_BUILD_ROOT/%{_javadir}/jbossas-fordev
pushd $RPM_BUILD_ROOT%{_javadir}
zip -r $RPM_BUILD_ROOT/%{_javadir}/jbossas-fordev/%{name}-%{namedversion}.zip %{name} \
  -x %{name}/*-sources.jar -x %{name}/*-webapps-assembly-*.zip
chmod 644 $RPM_BUILD_ROOT/%{_javadir}/jbossas-fordev/%{name}-%{namedversion}.zip
popd
%endif
%endif

#link jars
# Unversioned symlinks to JARs
(cd $RPM_BUILD_ROOT%{_javadir}/%{name} && for jar in *-%{namedversion}*.jar; do ln -sf ${jar} `echo $jar| sed "s|-%{namedversion}||g"`; done)

%if %without mead
%if %with repolib
%{__mkdir_p} %{buildroot}%{_javadir}/repository.jboss.com/maven2-brew
%{__cp} -pr maven2-brew/* %{buildroot}%{_javadir}/repository.jboss.com/maven2-brew
install -d -m 755 %{buildroot}%{repodir}
install -d -m 755 %{buildroot}%{repodirlib}
install -d -m 755 %{buildroot}%{repodirsrc}
install -p -m 644 %{SOURCE0} %{buildroot}%{repodirsrc}
install -p -m 644 %{PATCH0} %{buildroot}%{repodirsrc}
install -p -m 644 %{PATCH1} %{buildroot}%{repodirsrc}
cp -p %{base_name}-core/target/%{base_name}-core-%{namedversion}.jar \
  %{buildroot}%{repodirlib}/%{base_name}-core.jar
cp -p %{base_name}-core/target/%{base_name}-core-%{namedversion}-sources.jar \
  %{buildroot}%{repodirlib}/%{base_name}-core-sources.jar
cp -p $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{groupId}-picketlink-core.pom \
  %{buildroot}%{repodirlib}/%{base_name}-core.pom
%endif
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_maven_depmap
%if %without mead
if [ "$1" = "1" ]; then
if [ -d /var/lib/jbossas/server ] ; then
   ln -sf %{_javadir}-signed/%{name}/%{base_name}-core.jar /var/lib/jbossas/common/lib/
elif [ -d /var/lib/jbossas-web/server ] ; then
   ln -sf %{_javadir}-signed/%{name}/%{base_name}-core.jar /var/lib/jbossas-web/common/lib/
fi
fi
%endif

%postun
%update_maven_depmap

%if %without mead
%preun
if [ "$1" = "0" ]; then
if [ -d /var/lib/jbossas/server ] ; then
   rm -f /var/lib/jbossas/common/lib/%{base_name}-core.jar
elif [ -d /var/lib/jbossas-web/server ] ; then
   rm -f /var/lib/jbossas-web/common/lib/%{base_name}-core.jar
fi
fi

%if %with webapps
%post webapp-idp
if [ "$1" = "1" ]; then
#create symlinks for EAP and EWP
if [ -d /var/lib/jbossas/server ] ; then
   for profile in default web production standard all; do
      ln -sf %{_datadir}/%{name}/%{name}-webapps/idp.war /var/lib/jbossas/server/$profile/deploy
   done
elif [ -d /var/lib/jbossas-web/server ] ; then
   for profile in default production; do
      ln -sf %{_datadir}/%{name}/%{name}-webapps/idp.war /var/lib/jbossas-web/server/$profile/deploy
   done
fi
fi

%preun webapp-idp
if [ "$1" = "0" ]; then
#remove symlinks for EAP and EWP
if [ -d /var/lib/jbossas/server ] ; then
   rm -fr /var/lib/jbossas/server/{default,web,production,standard,all}/deploy/idp.war
elif [ -d /var/lib/jbossas-web/server ] ; then
   rm -fr /var/lib/jbossas-web/server/{default,production}/deploy/idp.war
fi
fi

%post webapp-pdp
if [ "$1" = "1" ]; then
#create symlinks for EAP and EWP
if [ -d /var/lib/jbossas/server ] ; then
   for profile in default web production standard all; do
      ln -sf %{_datadir}/%{name}/%{name}-webapps/pdp.war /var/lib/jbossas/server/$profile/deploy
   done
elif [ -d /var/lib/jbossas-web/server ] ; then
   for profile in default production; do
      ln -sf %{_datadir}/%{name}/%{name}-webapps/pdp.war /var/lib/jbossas-web/server/$profile/deploy
   done
fi
fi

%preun webapp-pdp
if [ "$1" = "0" ]; then
#remove symlinks for EAP and EWP
if [ -d /var/lib/jbossas/server ] ; then
   rm -fr /var/lib/jbossas/server/{default,web,production,standard,all}/deploy/pdp.war
elif [ -d /var/lib/jbossas-web/server ] ; then
   rm -fr /var/lib/jbossas-web/server/{default,production}/deploy/pdp.war
fi
fi

%post webapp-sts
if [ "$1" = "1" ]; then
#create symlinks for EAP and EWP
if [ -d /var/lib/jbossas/server ] ; then
   for profile in default web production standard all; do
      ln -sf %{_datadir}/%{name}/%{name}-webapps/picketlink-sts.war /var/lib/jbossas/server/$profile/deploy
   done
elif [ -d /var/lib/jbossas-web/server ] ; then
   for profile in default production; do
      ln -sf %{_datadir}/%{name}/%{name}-webapps/picketlink-sts.war /var/lib/jbossas-web/server/$profile/deploy
   done
fi
fi

%preun webapp-sts
if [ "$1" = "0" ]; then
#remove symlinks for EAP and EWP
if [ -d /var/lib/jbossas/server ] ; then
   rm -fr /var/lib/jbossas/server/{default,web,production,standard,all}/deploy/picketlink-sts.war
elif [ -d /var/lib/jbossas-web/server ] ; then
   rm -fr /var/lib/jbossas-web/server/{default,production}/deploy/picketlink-sts.war
fi
fi
%endif
%endif

%files
%defattr(0644,root,root,0755)
%dir %{_javadir}*/%{name}
%{_javadir}*/%{name}/%{base_name}-*.jar
%{_datadir}/maven2/poms/*
%{_mavendepmapfragdir}

%if %with javadoc
%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/%{name}-%{namedversion}
%endif

%if %without mead
%exclude %{_javadir}/%{name}/*-sources.jar

%files sources
%defattr(-,root,root,-)
%dir %{_javadir}*/%{name}
%{_javadir}*/%{name}/*-sources.jar

%files zip
%defattr(-,root,root,-)
%{_javadir}*/jbossas-fordev/%{name}-%{namedversion}.zip

%if %with webapps
%files webapp-idp
%defattr(-,root,root,-)
%{_datadir}/%{name}/%{name}-webapps/idp.war

%files webapp-pdp
%defattr(-,root,root,-)
%{_datadir}/%{name}/%{name}-webapps/pdp.war

%files webapp-sts
%defattr(-,root,root,-)
%{_datadir}/%{name}/%{name}-webapps/picketlink-sts.war

%files webapps-zip
%defattr(-,root,root,-)
%{_javadir}*/jbossas-fordev/%{name}-webapps-assembly-*.zip
%endif

%if %with repolib
%files repolib
%defattr(0644,root,root,0755)
%{_javadir}*/repository.jboss.com
%endif
%endif

%changelog
* Wed Nov 20 2013 Paul Gier <pgier@redhat.com> - 2.1.9-3.SP2_redhat_1.1
- Upgrade to 2.1.9.SP2

* Mon Oct 29 2013 Vladimir Dosoudil <dosoudil@redhat.com> - 2.1.9-1.SP1_redhat_1
- Upgrade to 2.1.9.SP1

* Thu Oct 10 2013 Vladimir Dosoudil <dosoudil@redhat.com> - 2.1.9-1.Final_redhat_1
- Upgrade to 2.1.9.Final

* Wed Aug 14 2013 Hui Wang <huwang@redhat.com> - 2.1.6.3-2.Final_redhat_2.2
- Fix BZ996904

* Fri Aug 09 2013 Hui Wang <huwang@redhat.com> - 2.1.6.3-1.Final_redhat_1.1
- Upgrade to 2.1.6.3.Final

* Thu Jul 25 2013 Vladimir Dosoudil <dosoudil@redhat.com> - 0:2.1.6.2-1.Final_redhat_1
- Upgrade to 2.1.6.2.Final

* Tue Jul 16 2013 Vladimir Dosoudil <dosoudil@redhat.com> - 0:2.1.6.1-1.Final_redhat_1
- Upgrade to 2.1.6.1.Final

* Thu Apr 10 2013 Vladimir Dosoudil <dosoudil@redhat.com> - 0:2.1.6-3.Final_redhat_2
- BZ-951093

* Fri Mar 08 2013 Lin Gao <lgao@redhat.com> - 0:2.1.6-2.Final_redhat_1
- Generate jandex index in jars

* Sun Feb 17 2013 Lin Gao <lgao@redhat.com> - 0:2.1.6-1.Final_redhat_1
- Upgrade to 2.1.6.Final
- Enable javadoc package in mead build
- Fix default file attributes in %files list

* Wed Sep 19 2012 Fernando Nasser <fnasser@redhat.com> - 0:2.1.3.1-3.redhat_1
- Rebuild for MD5

* Wed Sep 05 2012 Vladimir Dosoudil <dosoudil@redhat.com> - 0:2.1.3.1-2.Final_redhat_1
- Fix version management

* Wed Aug 29 2012 Fernando Nasser <fnasser@redhat.com> - 0:2.1.3.1-1.Final_redhat_1
- Upgrade to 2.1.3.1-redhat-1

* Tue Aug 14 2012 Fernando Nasser <fnasser@redhat.com> - 0:2.1.1-5.Final_redhat_2.3
- Rebuild unsigned

* Fri Aug 10 2012 Fernando Nasser <fnasser@redhat.com> - 0:2.1.1-5.Final_redhat_2.2
- Rebuild unsigned

* Thu Jul 12 2012 Fernando Nasser <fnasser@redhat.com> - 0:2.1.1-5.Final_redhat_1.1
- Rebuild using cache signing

* Fri May 25 2012 Martha Benitez <mbenitez@redhat.com> - 0:2.1.1-5.Final_redhat_1
- Rebuild to generate indices for all jars

* Mon May 14 2012 Martha Benitez <mbenitez@redhat.com> - 0:2.1.1-4.Final_redhat_1
- Rebuild with new product branch
- Remove patches since they are already integrated in the code

* Fri May 11 2012 Martha Benitez <mbenitez@redhat.com> - 0:2.1.1-3.Final_redhat_1
- Rebuild

* Fri May 11 2012 Martha Benitez <mbenitez@redhat.com> - 0:2.1.1-2.Final_redhat_1
- Rebuild to fix jbas7.jar

* Wed May 09 2012 Martha Benitez <mbenitez@redhat.com> - 0:2.1.1-1.Final_redhat_1
- Upgrade to 2.1.1.Final-redhat-1

* Thu May 03 2012 Martha Benitez <mbenitez@redhat.com> - 0:2.1.0-2.Final_redhat_1
- Install picketlink-jbas7.jar in main package

* Thu May 03 2012 Martha Benitez <mbenitez@redhat.com> - 0:2.1.0-1.Final_redhat_1
- Upgrade to 2.1.0.Final-redhat-1
- Remove (B)R jbossws*

* Wed Feb 29 2012 Fernando Nasser <fnasser@redhat.com> - 0:2.0.3-1_redhat_1.4
- Populate java-signed

* Wed Feb 08 2012 Martha Benitez <mbenitez@redhat.com> - 0:2.0.3-1_redhat_1.3
- Refresh sources to build with jbossweb code instead of tomcat6

* Tue Feb 07 2012 Martha Benitez <mbenitez@redhat.com> - 0:2.0.3-1_redhat_1.2
- Remove BR tomcat6*
- Add patch to remove building classes requiring tomcat
- Add use of jandex plugin

* Fri Feb 03 2012 Martha Benitez <mbenitez@redhat.com> - 0:2.0.3-1_redhat_1.1
- Upgrade to 2.0.3
- Add BR apache-xmlsec, jboss-servlet-api_3.0_spec, jbossws-spi, mockito, xmlunit, picketbox

* Wed Oct 19 2011 Fernando Nasser <fnasser@redhat.com> - 0:2.0.2-1
- Upgrade to 2.0.2

* Wed Oct 12 2011 Permaine Cheung <pcheung@redhat.com> - 0:2.0.1-2
- Split webapps into individual -idp, -dpd and -sts subpackages
- Add proper Requires according to pom
- Create symlinks for jar and wars

* Wed Sep 28 2011 Martha Benitez <mbenitez@redhat.com> - 0:2.0.1-1
- Upgrade to 2.0.1

* Mon Sep 06 2011 Martha Benitez <mbenitez@redhat.com> - 0:2.0.0-4
- Remove binaries for openid4java, openxri, seam

* Mon Aug 22 2011 Martha Benitez <mbenitez@redhat.com> - 0:2.0.0-3
- Remove binaries for jaas, jacc and jvmti

* Mon Aug 22 2011 Martha Benitez <mbenitez@redhat.com> - 0:2.0.0-2
- Add repolib

* Wed Aug 17 2011 Martha Benitez <mbenitez@redhat.com> - 0:2.0.0-1.1
- Upgrade to 2.0.0
- Add BR jboss-test, jboss-jacc-1.1-api, jboss-deployers, jboss-bootstrap

* Fri Feb 18 2011 Permaine Cheung <pcheung@redhat.com> 0:1.0.3-12.2
- JB-EAP-5-RHEL-6 build

* Thu Feb 17 2011 Permaine Cheung <pcheung@redhat.com> 0:1.0.3-12.1
- Put picketlink-fed-webapps-assembly example zip in the same location 
  as other zip

* Wed Jul 28 2010 Brian Shim <bshim@redhat.com> 0:1.0.3-11
- Included picketlink-fed-webapps-assembly example zip

* Wed Jun 23 2010 Yiqiao Wang <yiwang@redhat.com> 0:1.0.3-10
- Merge from RHEL4
- Add BR: zip

* Fri Jun 18 2010 Yiqiao Wang <yiwang@redhat.com> 0:1.0.3-7.1
- Generate %{name}-javadoc-memory.patch to increase memory available during javadoc generation

* Mon Jun 07 2010 Brian Shim <bshim@redhat.com> 0:1.0.3-7
- Regenerate picketlink-federation-dependency.patch

* Mon Jun 07 2010 Brian Shim <bshim@redhat.com> 0:1.0.3-6
- Update sources to 1.0.3.final

* Thu Jun 03 2010 Brian Shim <bshim@redhat.com> 0:1.0.3-5
- Update reltag to CR4

* Thu Jun 03 2010 Brian Shim <bshim@redhat.com> 0:1.0.3-4
- Add version number in tarball directory structure

* Thu Jun 03 2010 Brian Shim <bshim@redhat.com> 0:1.0.3-3
- Fix tarball directory structure

* Thu Jun 03 2010 Brian Shim <bshim@redhat.com> 0:1.0.3-2
- Update sources to include missing binaries

* Wed Jun 02 2010 Brian Shim <bshim@redhat.com> 0:1.0.3-1
- First release
